mav_boxID(3)

NAME
mav_boxID - Get identifier for object class.

LEVEL
Maverik Level 2

SYNTAX
int mav_boxID(MAV_object *o, char **id);

int mav_compositeID(MAV_object *o, char **id);

int mav_coneID(MAV_object *o, char **id);

int mav_ctorusID(MAV_object *o, char **id);

int mav_cylinderID(MAV_object *o, char **id);

int mav_ellipseID(MAV_object *o, char **id);

int mav_facetID(MAV_object *o, char **id);

int mav_hellipseID(MAV_object *o, char **id);

int mav_hsphereID(MAV_object *o, char **id);

int mav_polylineID(MAV_object *o, char **id);

int mav_polygonID(MAV_object *o, char **id);

int mav_polygonGrpID(MAV_object *o, char **id);

int mav_pyramidID(MAV_object *o, char **id);

int mav_rectangleID(MAV_object *o, char **id);

int mav_rtorusID(MAV_object *o, char **id);

int mav_SMSObjID(MAV_object *o, char **id);

int mav_sphereID(MAV_object *o, char **id);

int mav_teapotID(MAV_object *o, char **id);

int mav_textID(MAV_object *o, char **id);

int mav_avatarID(MAV_object *o, char **id);

int mav_TDMCursorID(MAV_object *o, char **id);

ARGUMENTS
Object to query. Identifier string returned.

DESCRIPTION
This function returns in id an identifier string for object class o. For example, a sphere object might return "sphere" for sphere.